package com.ahau.againstpest.model;

import com.ahau.againstpest.bean.PestBean;

import java.util.List;

/**
 * 注释:用来加载数据
 *
 * @author fanchunchun
 * @date 2018/4/3
 */

public interface IPestModel {

    void getPest(PestGetListener pestGetListener);
    //设计一个内部回调接口
    interface PestGetListener {
        void onComplete(List<PestBean.Pest> pest);
    }

    //获取当前的日期
    void getDate(DateListener dateListener);
    interface DateListener {
        void onComplete(String date);
    }
    //获取当前经纬度数据
    void getLatlng(LatlngListener latlngListener);
    interface LatlngListener {
        void onComplete(String[] latlng);
    }


    //获取调查人姓名
    void getResearName(ResearNameListener researNameListener);
    interface ResearNameListener{
        void onComplete(String researName);
    }
/*
    //获取照片的url地址
    void getPicUrl(PicUrlListener picUrlListener);
    interface PicUrlListener {
        void onComplete(String url);
    }*/

}
